Wacom Bamboo CTH-661 not recognized

Bug #527912 reported by Thomas Bechtold on 2010-02-25
70
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Undecided
Unassigned
linux-backports-modules-2.6.35 (Ubuntu)
Wishlist
Unassigned
Lucid
Undecided
Unassigned
Maverick
Wishlist
Stefan Bader
linux-meta (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Wishlist
Unassigned
xf86-input-wacom (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned
Maverick
Undecided
Unassigned

Bug Description

SRU Justification:

Impact: Some of the newer wacom tablet models are not supported by the in-kernel driver. Those seem to be mostly multi-touch capable tablets.

Fix: To add support without regressing the current kernel driver, the LBM package will now have an input sub-packager (need to adapt meta!) which contains the driver taken from linux-next.

Testcase: Testers in the bug report confirmed working tablets witht the backports modules installed.

---

i have a Wacom Bamboo CTH-661 Tablet (USB) and when i connect the tablet to the USB-Port, /var/log/syslog tells me the following:

# tail -f /var/log/syslog
Feb 25 18:55:30 zitrone kernel: [ 2474.240289] usb 1-5.2: new full speed USB device using ehci_hcd and address 10
Feb 25 18:55:30 zitrone kernel: [ 2474.338092] usb 1-5.2: configuration #1 chosen from 1 choice

ProblemType: Bug
Architecture: i386
CheckboxSubmission: f4bb95eadbb8ca6a13a3d7bd2a6a18f6
CheckboxSystem: bb422ca46d02494cdbc459927a98bc2f
Date: Thu Feb 25 18:53:50 2010
DistroRelease: Ubuntu 10.04
EcryptfsInUse: Yes
Package: xserver-xorg-input-wacom 1:0.10.3+20100109-1ubuntu1
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-14.20-generic-pae
SourcePackage: xf86-input-wacom
Uname: Linux 2.6.32-14-generic-pae i686

Thomas Bechtold (toabctl) wrote :
Thomas Bechtold (toabctl) wrote :
Thomas Bechtold (toabctl) wrote :

I think the important part of "udevadm info --export-db" is:

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.2
N: bus/usb/001/010
S: char/189:9
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-5/1-5.2
E: MAJOR=189
E: MINOR=9
E: DEVNAME=/dev/bus/usb/001/010
E: DEVTYPE=usb_device
E: DRIVER=usb
E: PRODUCT=56a/d3/106
E: TYPE=0/0/0
E: BUSNUM=001
E: DEVNUM=010
E: SUBSYSTEM=usb
E: ID_VENDOR=Wacom_Co._Ltd.
E: ID_VENDOR_ENC=Wacom\x20Co.\x2cLtd.
E: ID_VENDOR_ID=056a
E: ID_MODEL=CTH-661
E: ID_MODEL_ENC=CTH-661
E: ID_MODEL_ID=00d3
E: ID_REVISION=0106
E: ID_SERIAL=Wacom_Co._Ltd._CTH-661
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: DEVLINKS=/dev/char/189:9

Thomas Bechtold (toabctl) wrote :

Some information about the actual situation for linuxwacom and xf86-input-wacom can be found here: http://lists.freedesktop.org/archives/xorg/2010-January/048805.html

Timo Aaltonen (tjaalton) wrote :

So the kernel support is inside the old-style linuxwacom tarball and would need to be backported for the lucid kernel.

Changed in linux (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Timo Aaltonen (tjaalton) wrote :

the X driver has support for these in upstream git (and at least some of it in the current version too).

Changed in xf86-input-wacom (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Thomas Bechtold (toabctl) wrote :

the usb.id must be added to /var/lib/usbutils/usb.ids .

Thomas Bechtold (toabctl) wrote :

i got it (with a lot of help from imo Aaltonen!) more or less. The pen works (but only when i "fly" over the board. Otherwise the pen clicks.
Steps to reproduce:

== Kernel module ==
1) get the new version of the wacom kernel module from: http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.8.5-10.tar.bz2
2) extract the sources, go to linuxwacom-0.8.5-10/src/2.6.27
3) build the kernel module with: make
4) load the module: insmod wacom.ko

== xorg driver ==
1) apt-get source xf86-input-wacom
2) use uupdate to update the package
3) debuild
4) install new package with dpkg -i

That's it.

Thomas Bechtold (toabctl) wrote :

I tried the tablet with a ubuntu karmic version and the board was not recognized.

Espen Arnesen (espen77) wrote :

By following the instructions they are talking about in this thread, i got both pen and tuch (but only 2 of 4 buttons) to work in karmic.
http://ubuntuforums.org/showthread.php?t=1341336

Bryce Harrington (bryce) wrote :

According to comment #8, this requires kernel level changes and nothing on the X side, so it is unnecessary to have this filed against the X.org component.

Changed in xf86-input-wacom (Ubuntu):
status: Triaged → Invalid
tags: added: xorg-needs-kernel-fix
Eric Hartmann (hartmann-eric) wrote :

I have the same trouble with a Intuos 2.
Using comment #8, I'm able to use my tablet.

Michal Predotka (mpredotka) wrote :

Is there any workaround to make Bamboo work under Lucid? I'd really like to upgrade to Lucid but without working tablet it's not going to happen.

Michal Predotka (mpredotka) wrote :

Finally I've managed to set my Bamboo thanks to second solution from this post: http://ubuntuforums.org/showpost.php?p=9119518&postcount=782

Thomas Bechtold (toabctl) wrote :

I tried to use the Bamboo Fun CTH-661 on Maverick (with kernel 2.6.35) but the hardware is still not recognized. Is it possible to add the kernel module to the official ubuntu kernel?

Output from syslog is:

Jul 20 22:39:12 zitrone kernel: [ 400.648101] usb 3-1: new full speed USB device using uhci_hcd and address 2
Jul 20 22:39:13 zitrone kernel: [ 400.872740] usbcore: registered new interface driver hiddev
Jul 20 22:39:13 zitrone kernel: [ 400.872796] usbcore: registered new interface driver usbhid
Jul 20 22:39:13 zitrone kernel: [ 400.872798] usbhid: USB HID core driver

Thomas Bechtold (toabctl) wrote :

Today i updated to the newest xf86-input-wacom ( 0.10.8-0ubuntu1 ) but the Tablet still does not work.

I can load the driver:

$ sudo modprobe wacom
Aug 10 17:23:43 zitrone kernel: [ 208.638522] usbcore: registered new interface driver wacom
Aug 10 17:23:43 zitrone kernel: [ 208.638525] wacom: v1.52:USB Wacom tablet driver

but the Tablet ist still not recognized.

Aug 10 17:23:48 zitrone kernel: [ 213.928126] usb 3-1: USB disconnect, address 2
Aug 10 17:23:52 zitrone kernel: [ 217.468072] usb 3-1: new full speed USB device using uhci_hcd and address 3

tags: added: kernel-core kernel-needs-review
Stefan Bader (smb) wrote :

It seems this might be supported by the sourceforge wacom driver which is currently under review to be added to linux-backports-modules of Lucid. See http://bugs.launchpad.net/bugs/606278 for details and a link to test packages.

tags: added: kernel-candidate
removed: kernel-needs-review
Mahendra Tallur (mahen) wrote :

Well, as of today, Maverick RC, the Wacom P&T (CTH-661) is still not recognized.

Stefan Bader (smb) wrote :

Yes, this is not surprising. The IDs are only present in the sourceforge driver, not in the current upstream tree. So MAverick cannot support it. I was referring to the backports modules package for Lucid which provides the sourceforge driver.

It is not practical/desirable to mix in a sourceforge driver into the standard kernel code as that generates hard to maintain code. The backports approach may be an option for MAverick too. Though there is considerable change in the area of multitouch code of the kernel and that will likely require some testing to evaluate whether things work there as expected, too.

Michal Predotka (mpredotka) wrote :

Stefan, haw can we help with that testing?

Overall I'm really surprised that Wacom tablets get so small attention considering upcoming multi-touch in Ubuntu. It seems that more works is being done for some crazy magic pads, or whatever it's that Apple's thing called.

I will put together a similar linux-backports-modules addition for Maverick next
week. The problem is that the other pads had been receiving help from upstream
too. Just the wacom stuff seems to be delayed. I looked into linux-next and it
seems to be queued for 2.6.37. Until then the best option seems to have the
sourceforce driver to add support in lbm.

Stefan Bader (smb) wrote :

Ok, at the moment its just generic backports packages for 32 and 64 bit which can be found at http://people.canonical.com/~smb/lp527912/ For Maverick I used the kernel module that currently is in linux-next, which should be in 2.6.37. If someone can confirm that this enabled the non-working tablets I could go forward to make that backports package part of the official backports modules packages.

Mahendra Tallur (mahen) wrote :

Stefan : maybe I missed sth, but I just installed those input backports modules & rebooted ; my Wacom P&T (CTH-661) doesn't seem to work. I also have the package xserver-xorg-input-wacom installed. Are there any other steps to perform ?

Thanks !

Mahendra Tallur (mahen) wrote :

Oh ! Yes it DOES work ; I had to manually "sudo insmod /lib/modules/2.6.35-22-generic/updates/input/wacom.ko" !

Stefan Bader (smb) wrote :

It should not really be necessary to insert the module by hand. Of course that requires a 2.6.35-22-generic kernel to be installed and actively running and you plug the tablet in or boot with it plugged in.

Does modinfo wacom show a path including updates and uname -r a 2.6.36-22-generic?

Mahendra Tallur (mahen) wrote :

Well, modinfo wacom gives :
filename: /lib/modules/2.6.35-22-generic/kernel/drivers/input/tablet/wacom.ko

and uname -r :
2.6.35-22-generic

Thank you !

Michal Predotka (mpredotka) wrote :

Hi Stefen, thanks for your time spend on this bug.
I've upgraded to Ubuntu 10.10 and installed package provided by you. Unfortunately after rebooting, my Bamboo is still not recognizable. I wonder if it's becaouse I have pae kernel?

uname -r:
2.6.35-22-generic-pae

modinfo wacom:
filename: /lib/modules/2.6.35-22-generic-pae/kernel/drivers/input/tablet/wacom.ko

Stefan Bader (smb) wrote :

Yes, building the packages is a bit more time consuming without having full
access to the build environment and I was travelling. So I only prepared the
generic packages for testing. I will start them now and upload as soon as I got
them build.

Mahendra Tallur (mahen) wrote :

Stefan : BTW, I don't know what changed meanwhile, but I don't have to manually insert the updated module anymore : the tablet (stylus only, no gesture / touch but that's good anyway) works automagically at boot time :)

Thanks again, Stefan !

Stefan Bader (smb) wrote :

This is how it *should* work. Better not ask why it did not before because I don't know. Ok, added the missing flavours too for now.

Michal Predotka (mpredotka) wrote :
Download full text (4.2 KiB)

Stefen, thanks for update. Unfortunately my tablet still doesn't work. I've tried with tablet connected before booting my computer and with plugging when computer is running.

Full output of modinfo wacom:

michal@michal-desktop:~$ modinfo wacom
filename: /lib/modules/2.6.35-22-generic-pae/kernel/drivers/input/tablet/wacom.ko
license: GPL
description: USB Wacom tablet driver
author: Vojtech Pavlik <email address hidden>
license: GPL
description: USB Wacom tablet driver
author: Vojtech Pavlik <email address hidden>
srcversion: BA4ECCD72C1E304DDA0E0CD
alias: usb:v056Ap0047d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00E3d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00E2d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap009Fd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap009Ad*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0093d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0090d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00CCd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00D0d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C7d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C6d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C5d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap003Fd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00BCd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00BBd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00BAd*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B9d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B8d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B7d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B5d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B4d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B3d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B2d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B1d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00B0d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0045d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0044d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0043d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0042d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0041d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0003d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C2d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C0d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap00C4d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0039d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0038d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0037d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0035d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0034d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0033d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0032d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0031d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0030d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0024d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0023d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0022d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0021d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0020d*dc*dsc*dp*ic*isc*ip*
alias: usb:v056Ap0069d*dc*dsc*dp*ic*isc*ip*
alias: ...

Read more...

Stefan Bader (smb) wrote :

Doh! I think I know what went wrong. I seem to have forgotten to add the posinst files to let the installation run depmod. But don't do that right now, if you could just download the package again (I replaced the files) and install that version over, it should do it and the path of the wacom modules should contain updates.
Running depmod is likely what happened to Mahendra.

Michal Predotka (mpredotka) wrote :

Stefen, still no luck, tablet doesn't work. But this time "modinfo wacom" says:
filename: /lib/modules/2.6.35-22-generic-pae/updates/input/wacom.ko

Stefan Bader (smb) wrote :

Hm, maybe it just is yet another other id? Could you extract the udevadm info like in comment #3?

Michal Predotka (mpredotka) wrote :

This is part about Wacom:

P: /devices/pci0000:00/0000:00:1d.1/usb7/7-2
N: bus/usb/007/002
S: char/189:769
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.1/usb7/7-2
E: SUBSYSTEM=usb
E: DEVNAME=bus/usb/007/002
E: ID_VENDOR=Wacom_Co._Ltd.
E: ID_VENDOR_ENC=Wacom\x20Co.\x2cLtd.
E: ID_VENDOR_ID=056a
E: ID_MODEL=CTH-661
E: ID_MODEL_ENC=CTH-661
E: ID_MODEL_ID=00d3
E: ID_REVISION=0106
E: ID_SERIAL=Wacom_Co._Ltd._CTH-661
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: MAJOR=189
E: MINOR=769
E: DEVTYPE=usb_device
E: DRIVER=usb
E: PRODUCT=56a/d3/106
E: TYPE=0/0/0
E: BUSNUM=007
E: DEVNUM=002
E: DEVLINKS=/dev/char/189:769

In attachment all output.

Stefan Bader (smb) wrote :

Ok, thanks. So no, it is the same 00d3 model id that should be supported by the driver. This maybe sounds stupid but as I cannot see what you did or did not, it can be worth asking. In case you have not rebooted after installing the package and the tablet was connected all the time, the old module would still be in use. So would the following help?

sudo rmmod wacom
sudo modprobe wacom

Michal Predotka (mpredotka) wrote :

I rebooted several times since then. :)

Output of these commands:

michal@michal-desktop:~$ sudo rmmod wacom
[sudo] password for michal:
ERROR: Module wacom does not exist in /proc/modules
michal@michal-desktop:~$ sudo modprobe wacom
FATAL: Error inserting wacom (/lib/modules/2.6.35-22-generic-pae/updates/input/wacom.ko): Invalid module format
michal@michal-desktop:~$

Stefan Bader (smb) wrote :

Good just checking. :) Actually invalid module format normally is not the full truth but it should give some more hints when you look at the output of dmesg (something like disagrees about symbol or anything else that might be related).

Michal Predotka (mpredotka) wrote :

I have something like this after plugging my tablet:

[ 9611.976016] usb 7-2: new full speed USB device using uhci_hcd and address 3
[ 9612.166620] wacom: disagrees about version of symbol module_layout
[ 9612.166622] wacom: disagrees about version of symbol module_layout

Mahendra Tallur (mahen) wrote :

Out of curiosity, I tried the updated modules ; it still works properly (stylus) with my CTH-661 (model ID is 00d3 as well).

Stefan Bader (smb) wrote :

@mmiicc, I finally found the bug in the package generation which would accidentally use the generic module even for generic-pae. Could you download the replaced package for i386 pae and try whether the tablet works now? Thanks a lot for testing.

Michal Predotka (mpredotka) wrote :

Stefen, many thanks for great work! Stylus is working now even without rebooting. Touch works somehow, I have to test more.

Stefan Bader (smb) wrote :

Lucid support has also been implemented by a linux-backports-modules update. Marking the kernel task as "won't fix" for that reason.

description: updated
Changed in linux-backports-modules-2.6.35 (Ubuntu):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → Wishlist
status: New → In Progress
Changed in linux (Ubuntu Lucid):
status: Triaged → Won't Fix
Stefan Bader (smb) wrote :

The same LBM approach is taken for Maverick. I will leave the development task open for now. As the support is in linux-next and Natty probably settles with 2.6.37 or later, this would need to get verified whenever we are close to Natty release.

Changed in linux (Ubuntu Maverick):
status: New → Won't Fix
Stefan Bader (smb) wrote :

LBM version is specific to Maverick.

Changed in linux-backports-modules-2.6.35 (Ubuntu Lucid):
status: New → Invalid
Changed in linux-backports-modules-2.6.35 (Ubuntu Maverick):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → Wishlist
status: New → In Progress
Changed in linux-backports-modules-2.6.35 (Ubuntu):
assignee: Stefan Bader (stefan-bader-canonical) → nobody
status: In Progress → Invalid
Changed in xf86-input-wacom (Ubuntu Maverick):
status: New → Invalid
Michal Predotka (mpredotka) wrote :

Stefan, one more maybe stupid question. Should I reinstall your package after every kernel update?

Stefan Bader (smb) wrote :

As long as the change has not become part of the official linux-backports-modules package you actually may loose support when there is a newer kernel with a higher abi number. I am right now trying to get this done. Then you would need to install linux-backports-modules-input-generic-pae (which is a meta package pointing to the right package) and this will update the input drivers on future updates.

Stefan Bader (smb) wrote :

Has added to the lbm repo for Maverick.

Changed in linux-backports-modules-2.6.35 (Ubuntu Maverick):
status: In Progress → Fix Committed
Stefan Bader (smb) wrote :

Needs also a minor tweak to the meta package to have a generic package which updates the specific lbm package.

Changed in linux-meta (Ubuntu):
status: New → Invalid
Changed in linux-meta (Ubuntu Lucid):
status: New → Invalid
Changed in linux-meta (Ubuntu Maverick):
importance: Undecided → Wishlist
status: New → Fix Committed

Accepted linux-backports-modules-2.6.35 into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Michal Predotka (mpredotka) wrote :

I've enabled proposed and updated following packages:
- linux-headers-generic-pae
- linux-generic-pae
- linux-image-generic-pae

Unfortunately my tablet stopped working after that.

uname -r: 2.6.35-23-generic-pae

modinfo wacom: filename: /lib/modules/2.6.35-23-generic-pae/kernel/drivers/input/tablet/wacom.ko

dmesg after plugging and unplugging tablet:
[ 1027.904509] usb 7-2: new full speed USB device using uhci_hcd and address 3
[ 1171.720050] usb 7-2: USB disconnect, address 3

On 11/19/2010 11:27 PM, mmiicc wrote:
> I've enabled proposed and updated following packages:
> - linux-headers-generic-pae
> - linux-generic-pae
> - linux-image-generic-pae

> modinfo wacom: filename: /lib/modules/2.6.35-23-generic-
> pae/kernel/drivers/input/tablet/wacom.ko

The newer driver is in the linux-backports-modules-input-generic-pae
package. The modinfo would have update in its path when correct.

Michal Predotka (mpredotka) wrote :

It looks like there's no update for that yet. When I try to install "linux-backports-modules-input-maverick-generic-pae" I got message that it needs linux-backports-modules-input-2.6.35-23-generic-pae but it is not installable.

Mahendra Tallur (mahen) wrote :

Same as mmiicc here (amd64). By the way, I have the same issue with the alsa backports, which is why I still use an older kernel (2.6.35-22).

Stefan Bader (smb) wrote :

I think the actual binary package has been just very slow to publish. I had to do a apt-get update just now to make it appear for generic.

Michal Predotka (mpredotka) wrote :

Just installed the packeges. Tablet works. Thank you guys!

Martin Pitt (pitti) on 2010-11-23
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-backports-modules-2.6.35 - 2.6.35-23.13

---------------
linux-backports-modules-2.6.35 (2.6.35-23.13) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Changed the Vcs line in the control.stub.in to point at the
    correct git repo.

  [ Leann Ogasawara ]

  * Allow multiple versions of compat-wireless
    - LP: #673191
  * Add compat-wireless-2.6.37
    - LP: #673245

  [ Stefan Bader ]

  * Add input drivers backports
    - LP: #527912

  [ Tim Gardner ]

  * Update to iwlwifi-6000-ucode-9.221.4.1
  * Add iwlwifi-6050 firmware
  * Added compat-wireless-2.6.36

  [ Leann Ogasawara ]

  * ABI bump
 -- Brad Figg <email address hidden> Thu, 18 Nov 2010 08:53:54 -0800

Changed in linux-backports-modules-2.6.35 (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 2.6.35.23.25

---------------
linux-meta (2.6.35.23.25) maverick-proposed; urgency=low

  [ Stefan Bader ]

  * Add input driver meta definition
    - LP: #527912

linux-meta (2.6.35.23.24) maverick-proposed; urgency=low

  [ Leann Ogasawara ]

  * Bump ABI - Maverick ABI 23
 -- Brad Figg <email address hidden> Tue, 26 Oct 2010 12:44:31 -0700

Changed in linux-meta (Ubuntu Maverick):
status: Fix Committed → Fix Released
Mikko Saarinen (mikk0) wrote :

I have installed many packages by now, but just find this bug and installed also the linux-backports-modules-input-maverick-generic-pae package too.

The problem is, I don't get this working even now the kernel recognizes my pad and doesn't throw any errors anymore.

dmesg:
[ 52.879894] usb 6-2: new full speed USB device using uhci_hcd and address 3
[ 53.046372] input: Wacom Bamboo Comic 2FG Pen as /devices/pci0000:00/0000:00:1d.0/usb6/6-2/6-2:1.0/input/input6
[ 53.060324] input: Wacom Bamboo Comic 2FG Finger as /devices/pci0000:00/0000:00:1d.0/usb6/6-2/6-2:1.1/input/input7

lsusb:
Bus 006 Device 003: ID 056a:00d8 Wacom Co., Ltd

modinfo wacom:
filename: /lib/modules/2.6.35-28-generic-pae/updates/dkms/wacom.ko

I don't know what else to do, but if I just wait for two weeks is this going to work when I do a fresh install of Ubuntu 11.04?

Mikko

Stefan Bader (smb) wrote :

You might try to manually download and install the two linux-headers and the linux-image package of a 11.04 kernel. Or try to check with input-utils whether the inputs created by the driver produce any event. But any way, you should open a new report about it as it is a different quite specific issue.

Mikko Saarinen (mikk0) wrote :

Never mind. I just tried with Natty daily build cd image and it works perfectly there =)
I might have tried one too many "solution" to get my bamboo working and there were conflicting settings, or whatever...
Both the device and the new drivers seem to work anyway.
Thanks for all the work done with this issue =)

Bryce Harrington (bryce) on 2011-06-28
tags: removed: xorg-needs-kernel-fix
tags: added: kernel-handoff-graphics
Changed in linux (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers